/********************************************************************
	Cinema Converter 1.0
	module: menu bar.c
	April 1994
	by John A. Schlack
 ********************************************************************/


#include "constants.h"
#include "menu bar.h"
#include "Cinema.h"


/* --------------------------------------------------------------------------------- */


static MenuHandle	rMenus[NUMBER_MENUS];


/* --------------------------------------------------------------------------------- */


void menuBarInit( void )
{
	short	i, j;
	
	for (i=0, j=APPLE_MENU_ID; i<NUMBER_MENUS; i++, j++)
	{
		rMenus[i] = GetMenu( j );
		if (rMenus[i] == nil)
		{
			errorHandler( ERR_MENU_BAR );
			ExitToShell();
		}
		if (!i)												/* Apple Menu */
			AddResMenu( rMenus[i], 'DRVR' );
		InsertMenu( rMenus[i], 0 );
	}
	DrawMenuBar();
}


/* --------------------------------------------------------------------------------- */


MenuHandle cinemaMenu( short menuIndex )
{
	if ((menuIndex < 0) || (menuIndex >= NUMBER_MENUS))
		return nil;
	return rMenus[menuIndex];
}
