/********************************************************************
	Cinema Converter 1.0
	module: Cinema.c
	April 1994
	by John A. Schlack
 ********************************************************************/


/* program state - bits must match with struct PROGRAM_STATUS */

#define PS_APPLE_EVENTS		0
#define PS_APP_DONE			1
#define PS_LAST_EVENT_NULL	2
#define PS_PREFS_DIRTY		3


/* errors */

#define ERR_NO_GESTALT		1
#define ERR_GESTALT_FAILED	2
#define ERR_NO_SYSTEM7		3
#define ERR_NO_FSSPEC		4
#define ERR_APPLE_EVENT		5
#define ERR_MENU_BAR		6
#define ERR_NO_QUICKTIME	7
#define ERR_FRAME_RATE		8
#define ERR_INPUT_FILE		9
#define ERR_NOT_PICS		10
#define ERR_PICS_DATA		11
#define ERR_MEMORY			12


/* menu bar constants */

#define APPLE_MENU_ID	128
#define FILE_MENU_ID	129
#define BASE_MENU_ID	APPLE_MENU_ID
#define NUMBER_MENUS	2
